Subject: PDP-8 emulator for X-windows

From: [email-masked] (Douglas W. Jones,201H MLH,3193350740,3193382879)
Date: 29 Jun 1994 22:36:31 GMT

I am ready to release my X-windows emulator for the PDP-8/E, complete
with blinking lights and front panel operation using simulated toggle
switches.  It uses the Xterminal it was launched from as a teletype,
it can read and write stream files (simulated paper tape), and it uses
disk files to simulate the RX01 dual diskette drive.

The front panel interface has button-click-based help explaining (briefly)
what the various knobs and buttons do.  The alt.sys.pdp8 faq explains the
machine language (you can get it by ftp from rtfm.mit.edu, where all faq's
get stored, if they're done right).

The emulator comes with a core image of DEC's 4K FOCAL interpreter, a
marvelous antique programming language.  I have no other software for it,
yet, but I hope to get a bootable RX01 image of a real operating system.

It runs on my IBM RT under X11R3 with the Xt toolkit.  I'll test it with
on an IBM RS 6000 and on a Sun SPARC before I mail copies out.

				Doug Jones
				[email-masked]